## GDataPicasaWebQuery

GDataPicasaWebQuery — GData PicasaWeb query object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataPicasaWebQuery * | gdata_picasaweb_query_new ()
GDataPicasaWebQuery * | gdata_picasaweb_query_new_with_limits ()
GDataPicasaWebVisibility | gdata_picasaweb_query_get_visibility ()
void | gdata_picasaweb_query_set_visibility ()
const gchar * | gdata_picasaweb_query_get_thumbnail_size ()
void | gdata_picasaweb_query_set_thumbnail_size ()
const gchar * | gdata_picasaweb_query_get_image_size ()
void | gdata_picasaweb_query_set_image_size ()
const gchar * | gdata_picasaweb_query_get_tag ()
void | gdata_picasaweb_query_set_tag ()
void | gdata_picasaweb_query_get_bounding_box ()
void | gdata_picasaweb_query_set_bounding_box ()
const gchar * | gdata_picasaweb_query_get_location ()
void | gdata_picasaweb_query_set_location ()

## Properties

gchar * | image-size | Read / Write
gchar * | location | Read / Write
gchar * | tag | Read / Write
gchar * | thumbnail-size | Read / Write
gint | visibility | Read / Write

## Types and Values

| GDataPicasaWebQuery
| GDataPicasaWebQueryClass

## Object Hierarchy

        GObject
        ╰── GDataQuery
            ╰── GDataPicasaWebQuery

## Includes

    #include <gdata/services/picasaweb/gdata-picasaweb-query.h>

## Description

GDataPicasaWebQuery represents a collection of query parameters specific to the Google PicasaWeb service, which go above and beyond those catered for by GDataQuery.

For more information on the custom GData query parameters supported by GDataPicasaWebQuery, see the online documentation.

## Functions

### gdata_picasaweb_query_new ()

    GDataPicasaWebQuery *
    gdata_picasaweb_query_new (const gchar *q);

Creates a new GDataPicasaWebQuery with its “q” property set to `q` .

Note that when querying for albums with `gdata_picasaweb_service_query_all_albums()`, the `q` parameter cannot be used.

#### Parameters

q | a query string, or `NULL`. | [allow-none]

#### Returns

a new GDataPicasaWebQuery

Since: 0.4.0

### gdata_picasaweb_query_new_with_limits ()

    GDataPicasaWebQuery *
    gdata_picasaweb_query_new_with_limits (const gchar *q,
                                           guint start_index,
                                           guint max_results);

Creates a GDataPicasaWebQuery with its “q” property set to `q` , returning `max_results` starting from the `start_index` th result.

Note that when querying for albums with `gdata_picasaweb_service_query_all_albums()`, the `q` parameter cannot be used.

This is useful for paging through results, but the result set between separate queries may change. So, if you use this to request the next ten results after a previous query, it may include some of the previously returned results if their order changed, or omit ones that would have otherwise been found in a earlier but larger query.

#### Parameters

q | a query string, or `NULL`. | [allow-none]
start_index | the index of the first result to include, or `0` |
max_results | the maximum number of results to include, or `0` |

#### Returns

a new GDataPicasaWebQuery

Since: 0.6.0

### gdata_picasaweb_query_get_visibility ()

    GDataPicasaWebVisibility
    gdata_picasaweb_query_get_visibility (GDataPicasaWebQuery *self);

Gets the “visibility” property.

#### Parameters

self | a GDataPicasaWebQuery |

#### Returns

the visibility of the objects to retrieve, or `0` to retrieve all objects

Since: 0.4.0

### gdata_picasaweb_query_set_visibility ()

    void
    gdata_picasaweb_query_set_visibility (GDataPicasaWebQuery *self,
                                          GDataPicasaWebVisibility visibility);

Sets the “visibility” property to `visibility` .

#### Parameters

self | a GDataPicasaWebQuery |
visibility | the visibility of the objects to retrieve, or `0` to retrieve all objects |

Since: 0.4.0

### gdata_picasaweb_query_get_thumbnail_size ()

    const gchar *
    gdata_picasaweb_query_get_thumbnail_size
                                   (GDataPicasaWebQuery *self);

Gets the “thumbnail-size” property.

#### Parameters

self | a GDataPicasaWebQuery |

#### Returns

a comma-separated list of thumbnail sizes to retrieve, or `NULL`

Since: 0.4.0

### gdata_picasaweb_query_set_thumbnail_size ()

    void
    gdata_picasaweb_query_set_thumbnail_size
                                   (GDataPicasaWebQuery *self,
                                    const gchar *thumbnail_size);

Sets the “thumbnail-size” property to `thumbnail_size` .

Set `thumbnail_size` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebQuery |
thumbnail_size | a comma-separated list of thumbnail sizes to retrieve, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_picasaweb_query_get_image_size ()

    const gchar *
    gdata_picasaweb_query_get_image_size (GDataPicasaWebQuery *self);

Gets the “image-size” property.

#### Parameters

self | a GDataPicasaWebQuery |

#### Returns

the currently set desired image size for retrieval, or `NULL`

Since: 0.4.0

### gdata_picasaweb_query_set_image_size ()

    void
    gdata_picasaweb_query_set_image_size (GDataPicasaWebQuery *self,
                                          const gchar *image_size);

Sets the “image-size” property to `image_size` . Valid sizes are described in the

online documentation.

Set `image_size` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebQuery |
image_size | the desired size of the image to be retrieved, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_picasaweb_query_get_tag ()

    const gchar *
    gdata_picasaweb_query_get_tag (GDataPicasaWebQuery *self);

Gets the “tag” property.

#### Parameters

self | a GDataPicasaWebQuery |

#### Returns

a tag which retrieved objects must have, or `NULL`

Since: 0.4.0

### gdata_picasaweb_query_set_tag ()

    void
    gdata_picasaweb_query_set_tag (GDataPicasaWebQuery *self,
                                   const gchar *tag);

Sets the “tag” property to `tag` .

Set `tag` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebQuery |
tag | a tag which retrieved objects must have, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_picasaweb_query_get_bounding_box ()

    void
    gdata_picasaweb_query_get_bounding_box
                                   (GDataPicasaWebQuery *self,
                                    gdouble *north,
                                    gdouble *east,
                                    gdouble *south,
                                    gdouble *west);

Gets the latitudes and longitudes of a bounding box, inside which all the results must lie.

#### Parameters

self | a GDataPicasaWebQuery |
north | return location for the latitude of the top of the box, or `NULL`. | [out caller-allocates][allow-none]
east | return location for the longitude of the right of the box, or `NULL`. | [out caller-allocates][allow-none]
south | return location for the latitude of the south of the box, or `NULL`. | [out caller-allocates][allow-none]
west | return location for the longitude of the left of the box, or `NULL`. | [out caller-allocates][allow-none]

Since: 0.4.0

### gdata_picasaweb_query_set_bounding_box ()

    void
    gdata_picasaweb_query_set_bounding_box
                                   (GDataPicasaWebQuery *self,
                                    gdouble north,
                                    gdouble east,
                                    gdouble south,
                                    gdouble west);

Sets a bounding box, inside which all the returned results must lie.

Set `north` , `east` , `south` and `west` to `0` to unset the property.

#### Parameters

self | a GDataPicasaWebQuery |
north | latitude of the top of the box |
east | longitude of the right of the box |
south | latitude of the bottom of the box |
west | longitude of the left of the box |

Since: 0.4.0

### gdata_picasaweb_query_get_location ()

    const gchar *
    gdata_picasaweb_query_get_location (GDataPicasaWebQuery *self);

Gets the “location” property.

#### Parameters

self | a GDataPicasaWebQuery |

#### Returns

a location which returned objects must be near, or `NULL`

Since: 0.4.0

### gdata_picasaweb_query_set_location ()

    void
    gdata_picasaweb_query_set_location (GDataPicasaWebQuery *self,
                                        const gchar *location);

Sets the “location” property to `location` .

Set `location` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebQuery |
location | a location which returned objects must be near, or `NULL`. | [allow-none]

Since: 0.4.0

## Types and Values

### GDataPicasaWebQuery

    typedef struct _GDataPicasaWebQuery GDataPicasaWebQuery;

All the fields in the GDataPicasaWebQuery structure are private and should never be accessed directly.

Since: 0.4.0

### GDataPicasaWebQueryClass

    typedef struct {
    } GDataPicasaWebQueryClass;

All the fields in the GDataPicasaWebQueryClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“image-size”` property

      “image-size”               gchar *

A comma-separated list of image sizes (width in pixels) to return. Only certain sizes are allowed, and whether the image should be cropped or scaled can be specified; for more information, see the

online documentation.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“location”` property

      “location”                 gchar *

A location to search for photos, e.g. "London".

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“tag”` property

      “tag”                      gchar *

A tag which returned results must contain.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“thumbnail-size”` property

      “thumbnail-size”           gchar *

A comma-separated list of thumbnail widths (in pixels) to return. Only certain sizes are allowed, and whether the thumbnail should be cropped or scaled can be specified; for more information, see the

online documentation.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“visibility”` property

      “visibility”               gint

Specifies which albums should be listed, in terms of their visibility (“visibility”).

Set the property to `0` to list all albums, regardless of their visibility. Otherwise, use values from GDataPicasaWebVisibility.

For more information, see the online documentation.

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

Since: 0.4.0